'use strict';

var _output = require('tooey/lib/output');

var _output2 = _interopRequireDefault(_output);

var _app = require('./view/app');

var _app2 = _interopRequireDefault(_app);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_app2.default.render();

const { stdin } = process;
// $flow-disable-line need raw mode; method appears to be available
stdin.setRawMode(true);
stdin.setEncoding('utf8');
stdin.on('data', async key => {
  await _app2.default.handle(key);
  _app2.default.render();
});

// Re-render on window resize
process.stdout.on('resize', () => {
  _output2.default.resize();
  _app2.default.render();
});